| name | type | description |
|---|---|---|
| parentFolderName | form | |
| url | form | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type |
|---|---|
| application/x-www-form-urlencoded | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /items/{id}/create/ARCHIVE
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| fileDetail | formdata | |
| parentFolderName | formdata | |
| stream | formdata | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type |
|---|---|
| multipart/form-data | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /items/{id}/create/ARCHIVE
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| description | form | |
| name | form | |
| url | form | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type |
|---|---|
| application/x-www-form-urlencoded | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /items/{id}/create/FILE
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| description | formdata | |
| fileDetail | formdata | |
| name | formdata | |
| stream | formdata | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type |
|---|---|
| multipart/form-data | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /items/{id}/create/FILE
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type |
|---|---|
| application/json | GCubeItem (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /items/{id}/create/GCUBEITEM
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"shared" : true,
"scopes" : [ "...", "..." ],
"properties" : "...",
"property" : {
"map" : {
"property1" : { },
"property2" : { }
}
},
"itemType" : "...",
"creator" : "...",
"description" : "...",
"metadata" : {
"map" : {
"property1" : { },
"property2" : { }
}
},
"lastAction" : "CLONED",
"locked" : true,
"creationTime" : 12345,
"externalManaged" : true,
"hidden" : true,
"ownerNode" : {
"userName" : "...",
"userId" : "..."
},
"accounting" : {
"entries" : [ {
"type" : "UNSHARE",
"date" : 12345,
"version" : "...",
"primaryType" : "...",
"user" : "..."
}, {
"type" : "UPDATE",
"date" : 12345,
"version" : "...",
"primaryType" : "...",
"user" : "..."
} ]
},
"publicItem" : true,
"title" : "...",
"trashed" : true,
"lastModificationTime" : 12345,
"lastModifiedBy" : "...",
"owner" : "...",
"relatedNode" : { },
"path" : "...",
"parentId" : "...",
"primaryType" : "...",
"id" : "...",
"parentPath" : "...",
"name" : "..."
}
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| description | form | |
| name | form | |
| value | form | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type |
|---|---|
| application/x-www-form-urlencoded | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | object (JSON) |
POST /items/{id}/create/URL
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...